org.apache.ignite.spi.metric.sql

## Class MetricRegistryLocalSystemView

- java.lang.Object
- - org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractSystemView
  - - org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractLocalSystemView
    - - org.apache.ignite.spi.metric.sql.MetricRegistryLocalSystemView

- All Implemented Interfaces:
    org.apache.ignite.internal.processors.query.h2.sys.view.SqlSystemView

      public class MetricRegistryLocalSystemView
      extends org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractLocalSystemView

  Sql view for exporting metrics.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractSystemView

      `cols, ctx, DEFAULT_ROW_COUNT_APPROXIMATION, desc, indexes, log, tblName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricRegistryLocalSystemView(org.apache.ignite.internal.GridKernalContext ctx, ReadOnlyMetricManager mreg, @Nullable Predicate<ReadOnlyMetricRegistry> filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<org.h2.result.Row>` | `getRows(org.h2.engine.Session ses, org.h2.result.SearchRow first, org.h2.result.SearchRow last)` Gets view content.

    - ### Methods inherited from class org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractLocalSystemView

      `conditionForColumn, createRow, getColumnIndex, isDistributed, nodeFilter, toStringSafe, uuidFromValue, valueTimestampFromMillis`

    - ### Methods inherited from class org.apache.ignite.internal.processors.query.h2.sys.view.SqlAbstractSystemView

      `canGetRowCount, getColumns, getCreateSQL, getDescription, getIndexes, getRowCount, getRowCountApproximation, getTableName, newColumn, newColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricRegistryLocalSystemView

          public MetricRegistryLocalSystemView(org.apache.ignite.internal.GridKernalContext ctx,
                                               ReadOnlyMetricManager mreg,
                                               @Nullable
                                               @Nullable Predicate<ReadOnlyMetricRegistry> filter)

      Parameters:
        `ctx` - Context.
        `mreg` - Metric registry.
        `filter` - Metric registry filter.

  - ### Method Detail

    - #### getRows

          public Iterator<org.h2.result.Row> getRows(org.h2.engine.Session ses,
                                                     org.h2.result.SearchRow first,
                                                     org.h2.result.SearchRow last)

      Gets view content.
      Parameters:
        `ses` - Session.
        `first` - First.
        `last` - Last.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020